function LogLike = OrderID1LogLike(K,M)
% Usage:
%  LogLike = OrderID1LogLike(K,M)
% Input:
%  K - number of clusters
%  M - number of dimensions to data vectors
% Ouput:
%  LogLike(K) - vector containing the probability weighting for each class


% This is a modified Rissenen criteria
% The number of scalar data values per data vector is M.
% Furthermore, there is one parameter that must be estimated
% per data vector. This parameter is the amplitude of the clustered
% component. The Rissenen weighting is then -0.5*1*logM.
% However, for option 1 the first cluster is assumed to be centered about 0,
% one there is no cluster component amplitude parameter.
% In order to better handle the case when M is small, -0.5*(log(M)+1)
% is used.

LogLike = -0.5*(log(M)+1)*((1:K)>1) ;
%LogLike = -(log(M)+1)*((1:K)>1) ;
prob = exp( LogLike );
prob = prob/sum(prob);
LogLike = log(prob);



