clear all
close all


N = 1000;      % Number of data vectors
M = 5;         % Dimension of each data vector
Kstart = 10;   % Initial number of clusters
Kfinal = 0;    % Final number of clusters; 0 => estimate number of clusters
K = 3;         % Number of components
SigmaN = 1;    % Parameter proportional to noise standard deviation
signal = 1;    % Signal strength for each component

% Compute test values for components
CC = randn([M,K]);

% Normalize column vectors in CC
CC = normalize(CC);

% Compute typical noise convariance
A = SigmaN*toeplitz(exp(-(1:M)));
Rn = A*A';

% Compute signal
mask = floor( K*rand([N,1]) ) +1;
D = repmat(signal*(randn(N,1)+0.1),[1,M]).*CC(:,mask)' + randn([N,M])*A';

% Apply clustered component analysis
[class,CCest,prior,postprob] = CCA(D,Kstart,Kfinal,Rn);

% Report estimated model order
Kest = length(prior);
disp(sprintf('Estimated order of %d',Kest));


subplot(2,2,1)
scatter(D(:,1),D(:,2))
axis([-signal,signal,-signal,signal])

subplot(2,2,3)
scatter(10*CC(1,:),10*CC(2,:));
axis([-10,10,-10,10])
title('True Components')

subplot(2,2,4)
scatter(10*CCest(1,:),10*CCest(2,:));
axis([-10,10,-10,10])
title('Estimated Components')




